<div style="display:flex; align-items: center; flex-direction: column; margin-bottom: 30px;">
    <div class="headlines">Transcript To Genomic & Gene</div>
    <form [formGroup]="ccsForm" (ngSubmit)="getDrugInfo()">
        <div class="form-group">
            <div class="textarea-div">
                <div style="display:flex; align-items: center;">
                    <div style="font-weight: bold;">Enter variants based on transcripts.</div>
                    <mat-icon
                        matTooltip="Enter your sequence data in the format NM_201628.3:c.1039C>T. For multiple conversion separate your inputs with a comma. E.g. 'NM_201628.3:c.1039C>T,AKT1:c.49G>A' or click 'Load Example' to get a basic example."
                        matTooltipPosition="right" style="transform: scale(0.8);">help</mat-icon>
                </div>
                <textarea class="form-control" id="inputName" formControlName="inputName"
                    placeholder="Enter Transcript variant data, e.g. 'NM_201628.3:c.1039C>T' or click 'Load Example'"></textarea>
            </div>
            <div>
                <div>
                    <span>Target Genome</span>
                    <div>
                        <div>
                            <input type="radio" id="hg19" name="referenceGenome" value="hg19"
                                formControlName="referenceGenome" />
                            <label for="hg19">HG19</label>
                        </div>
                        <div>
                            <input type="radio" id="hg38" name="referenceGenome" value="hg38"
                                formControlName="referenceGenome" />
                            <label for="hg38">HG38</label>
                        </div>
                    </div>
                </div>
                <div>
                    <button type="button" class="btn btn-secondary" matTooltip="Info about the action"
                        matTooltipPosition="right" (click)="getExampleData()">Load Example</button><br>
                    <button type="submit" class="btn btn-primary" [disabled]="!ccsForm.valid">Submit</button>
                </div>
            </div>
        </div>
    </form>
</div>

<div *ngIf="complete_request!=''">
    <app-terminal-view [terminal_string]="complete_request"></app-terminal-view>
</div>

<div class="card-grid" *ngIf="reqObj != null">
    <div class="card" *ngFor="let element of reqObj.data">
        <div class="card-header">
            <h2>{{element.name}}</h2>
        </div>
        <ul *ngIf="element['response']==200">
            <li>Gene Name: {{element['gene_name']}}</li>
            <li>Transcript: {{element['transcript']}}</li>
            <li>Chromosome: {{element['chromosome']}}</li>
            <li>Genom Mapping: {{element['variant_g']}}</li>
            <li>Protein Mapping: {{element['variant_p']}}</li>
            <li>Protein Exchange: {{element['variant_exchange']}}</li>
            <li>Protein Exchange Long: {{element['variant_exchange_long']}}</li>
            <!-- <li *ngFor="let item of element | keyvalue">{{item.key}}: {{item.value}}</li> -->
        </ul>
        <ul *ngIf="element['response']==400">
            <li style="color:red;">Error: {{element['error']}}</li>
            <!-- <li *ngFor="let item of element | keyvalue">{{item.key}}: {{item.value}}</li> -->
        </ul>
    </div>
</div>